**Getting started**
`npm i`
`npm run dev`
### Step 0 (see example of ussage in `src/components/file-list/index.js`)
 - in base-component branch, write BaseComponent class
 - wrire function checkPropTypes
 - write test cases for Component live cicle

